* {
  margin: 0;
  padding: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}
.App {
  max-width: 1550px;
  width: 100%;
  min-height: 100vh;
  margin: 0 auto;
  box-shadow: 0 6px 6px #4f0f1da4;
  padding: 0 15px;
  box-sizing: border-box;
}
/*----------------------------Header-----------------------------------------*/
header {
  width: 97%;
  min-height: 100px;
  max-width: 1530px;
  overflow: hidden;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
  position: fixed;
  box-sizing: border-box;
  background-color: white;
  box-shadow: 0 5px 10px #5a050650;
}
a {
  color: black;
  text-decoration: none;
  text-transform: uppercase;
}
a:hover {
  color: #671c20;
}

li {
  list-style: none;
}

header ul {
  display: flex;
  padding: 0;
  margin: 0;
}

header ul li {
  padding: 0 1rem;
}

header ul li a {
  font-weight: bold;
}

header .cart {
  position: relative;
  cursor: pointer;
}
header .cart box-icon {
  width: 45px;
  height: 45px;
}

header .cart span {
  position: absolute;
  top: -1rem;
  right: -1.5rem;
  width: 2.5rem;
  height: 2.5rem;
  border: 1px solid red;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  padding: 0rem;
  font-size: 1.5rem;
  font-weight: 700;
  background-color: crimson;
}

/*--------------------------------Inicio--------------------------*/
.inicio {
  width: 100%;
  margin: 0 auto;
  padding-top: 9rem;
}
.inicio h1 {
  font-size: 2.5rem;
  color: #671c20;
}
.inicio img {
  width: 100%;
}

/*--------------------------------Productos-------------------------------*/
.title {
  font-size: 2rem;
  padding: 10rem 0 0 0;
  color: crimson;
}
.productos {
  padding: 5rem 1rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(22rem, 1fr));
  gap: 3rem 2rem;
  box-sizing: border-box;
}

.producto {
  display: flex;
  width: 100%;
  flex-direction: column;
  align-items: center;
  box-shadow: 1px 10px 10px 2px rgba(0, 0, 0, 0.2);
  border: 6px solid transparent;
  border-radius: 5px;
}

.producto:hover {
  border: 6px solid brown;
}

.producto_img img {
  width: 310px;
}

.producto_footer {
  padding: 1rem;
}
.producto_footer h1 {
  font-weight: 600;
  font-size: 1.5rem;
  color: #1a202c;
  font-family: Arial, Helvetica, sans-serif;
}

.producto_footer p {
  font-weight: 700;
  color: rgba(0, 0, 0, 0.555);
  text-transform: uppercase;
  font-size: 18px;
}
.producto_footer .price {
  font-size: 2rem;
  color: #1a202c;
}
.producto .buttom {
  width: 100%;
  height: 45px;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 1rem 3rem;
  padding: 0 1rem;
  margin: 1rem;
}
.buttom .btn {
  border: none;
  outline: 0;
  cursor: pointer;
  border-radius: 30px;
}

.buttom button {
  background-color: brown;
  max-width: 250px;
  width: 100%;
  margin: 0 auto;
  font-size: 1.5rem;
  color: white;
  font-weight: 600;
}



/*----------------------------Carrito------------------------------------------*/
.carritos {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: all 300ms ease-in-out;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 2;
  padding-bottom: 5rem;
  visibility: hidden;
}
.carrito {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(1);
  width: 60%;
  height: 80%;
  border-radius: 8px;
  overflow-x: scroll;
  transition: all 300ms ease-in-out;
  background-color: white;
  opacity: 0;
  visibility: hidden;
}
.carrito h2 {
  text-align: center;
  font-size: 2rem;
}
.carrito.show {
  visibility: visible;
}
.carrito.show {
  transform: translate(-50%, -50%) scale(1.1);
  opacity: 1;
  visibility: visible;
}
.carrito_close box-icon {
  display: inline-block;
  width: 50px;
  height: 50px;
  cursor: pointer;
  transform: all 300ms ease-in-out;
  margin: 3rem 0 0 2rem;
}
.carrito_close box-icon:hover {
  fill: crimson;
}
.carrito_center {
  width: 90%;
  margin: 0 auto;
}
.carrito_item {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr 1fr;
  width: 80%;
  margin: 2rem auto;
  box-shadow: 0 1px 10px #000f09;
  border-radius: 5px;
}

.carrito_item img {
  width: 9rem;
}

.carrito_item h3 {
  margin-top: 1.5rem;
  font-weight: 600;
  font-size: 1.5rem;
  font-family: Arial, Helvetica, sans-serif;
}

.carrito_item .price {
  color: #1a202c;
  font-size: 2rem;
  font-weight: bold;
  text-align: start;
  margin-left: -1rem;
}

.carrito_item box-icon {
  fill: #060101;
  width: 40px;
  height: 40px;
  cursor: pointer;
  margin-top: 0.3rem;
}

.carrito_item .cantidad {
  font-size: 2rem;
  font-weight: bold;
}

.carrito_item .remove_item box-icon {
  width: 60px;
  height: 80px;
  fill: rgb(4, 1, 2);
  margin-top: 2rem;
}

.carrito_footer {
  text-align: center;
  margin-bottom: 3rem;
}
.carrito_footer h3 {
  font-size: 2rem;
  font-weight: 700;
  letter-spacing: 1px;
}

.carrito_footer .btn {
  display: inline-block;
  padding: 0.3rem 1rem;
  font-size: 1.2rem;
  background-color: #b2a6e6;
  border: 0;
  outline: 0;
  cursor: pointer;
}

.carrito_footer .btn:hover {
  background-color: #840e4f;
  color: white;
}

/*----------------------------Media-----------------------------------------*/

@media only screen and (max-width: 1000px) {
  .carrito_item {
    width: 92%;
  }
}
@media only screen and (max-width: 700px) {
  .carrito {
    width: 100%;
    height: 100%;
  }
}

.carrito_item h3 {
  font-size: 1.2rem;
}

@media only screen and (max-width: 600px) {
  header ul {
    display: none;
  }
}
@media only screen and (max-width: 450px) {
  .carrito_item h3 {
    width: 0.5rem;
  }
}

.carrito_item .remove_item box-icon {
  width: 30px;
  height: 70px;
}
